EVENTS = 20
COUNTRIES = 10

country_names = [None] * COUNTRIES
event_descriptions = [ [None] * COUNTRIES for i in range(EVENTS) ]

for j in range(COUNTRIES):
    country_names[j] = input("Enter Country No" + str(j + 1) + ": ")
    for i in range(EVENTS):
        event_descriptions[i][j] = input("Enter description for event No" + str(i + 1) + ": ")

needle = input("Enter a country to search: ").upper()

#Country names are entered alphabetically.
#Use the binary search algorithm to search for needle.
left = 0
right = EVENTS - 1
found = False
while left <= right and not found:
    middle = (left + right) // 2

    if country_names[middle].upper() > needle:
        right = middle - 1
    elif country_names[middle].upper() < needle:
        left = middle + 1
    else:
        found = True
        index_position = middle

if not found:
    print("No country found!")
else:
    for i in range(EVENTS):
        print(event_descriptions[i][index_position])
