def get_consumption():
    consumption = int(input("Enter kWh consumed: "))
    while consumption < 0:
        print("Error: Invalid number!")
        consumption = input("Enter a non-negative number: ")
    return consumption

def find_amount(kwh):
    if kwh <= 400:
        amount = kwh * 0.08
    elif kwh <= 1500:
        amount = 400 * 0.08 + (kwh - 400) * 0.22
    elif kwh <= 2000:
        amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35
    else:
        amount = 400 * 0.08 + 1100 * 0.22 + 500 * 0.35 + (kwh - 2000) * 0.5

    amount += 0.26 * amount
    return amount

#Main code starts here
while True:
    kwh = get_consumption()
    print("You need to pay:", find_amount(kwh))
    answer = input("Would you like to repeat? ")
    if answer.upper() != "YES": break
